#ifndef RUMBLEGRAPHVIEWER_H
#define RUMBLEGRAPHVIEWER_H

#include "zonefile.h"
#include <QWidget>

namespace Ui {
class RumbleGraphViewer;
}

class RumbleGraphViewer : public QWidget
{
    Q_OBJECT

public:
    explicit RumbleGraphViewer(QWidget *parent = nullptr);
    ~RumbleGraphViewer();

    void SetEntryCount(quint32 aCount);
    void SetRumbleGraphFile(const std::shared_ptr<RawFile> aRawFile);
    void SetZoneFile(std::shared_ptr<ZoneFile> aZoneFile);

private:
    Ui::RumbleGraphViewer *ui;
    quint32 mEntryCount;
    std::shared_ptr<RawFile> mRumbleGraphFile;
};

#endif // RUMBLEGRAPHVIEWER_H
